import { normalizeURL } from '@/lib/utils'
import { Value } from './Inspect.jsx'

// const GitRef = ({ type, value }) => {
//     return type === 'default' ? (
//         <div class="git-ref">default</div>
//     ) : (
//         <div class={'git-ref ' + type}>{value}</div>
//     )
// }

// const BaseDeploy = ({ name, ...rest }) => <>
//     <div class="name">{name}</div>
//     <div class="url">
//         <div class="material-symbols-outlined">commit</div>
//         <div class="value">{url}</div>
//     </div>
//     <GitRef {...ref} />
// </>

/**
 * @param {{ deploy: import('@/config.js').Deploy }} param0
 */

export const Deploy = ({ deploy }) => {
    return (
        <div class="deploy">
            <div class="title">
                <a href={`/deploys/${deploy.name}`}>{deploy.name}</a>
            </div>
            <div class="shield">{deploy.type}</div>
            {deploy.type === 'docker-image' ? (
                <div class="description">{deploy.options.image}</div>
            ) : (
                <>
                    <div class="description">
                        {deploy.url.startsWith('/') ? (
                            deploy.url
                        ) : (
                            <a href={normalizeURL(deploy.url)}>{deploy.url}</a>
                        )}
                    </div>
                </>
            )}
        </div>
    )
}
