import { useState } from 'preact/hooks'
import { triggerCounter } from './store.js'

// target is a url to send a POST request to
export const TriggerButton = ({ target, children }) => {
    const [loading, setLoading] = useState(false)

    const handleClick = async () => {
        setLoading(true)
        triggerCounter.set(triggerCounter.get() + 1)

        const response = await fetch(target, {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
        })

        if (response.ok) {
            console.log('Success')
        } else {
            console.log('Failure')
        }

        setLoading(false)
    }

    return loading ? (
        <button disabled class="loading">
            <span class="material-symbols-outlined">refresh</span> Loading...
        </button>
    ) : (
        <button onClick={handleClick}>{children}</button>
    )
}
