import { getLatestJobByName } from '@/jobs'
import { JsonResponse, JsonStreamResponse, createUrlQuery } from '@/lib/utils'
import type { APIRoute } from 'astro'

export const GET: APIRoute = async ({ params: { name }, url, redirect }) => {
    const latestJob = await getLatestJobByName(name!)

    const format = url.searchParams.get('format')
    switch (format) {
        case 'json':
            return new JsonResponse(latestJob)
        // case 'sse':
        //     return new JsonStreamResponse(sendData => {
        //         const jobLog = (content: string) => sendData({ type: 'log', content })

        //         debug('[SSE] Registering job log client')
        //         OnJobLog.addListener(uuid!, jobLog)

        //         return () => {
        //             // cancel
        //             OnJobLog.removeListener(uuid!, jobLog)
        //             debug('[SSE] Un-registered job log client')
        //         }
        //     })
        default:
            return redirect(
                createUrlQuery('/error', {
                    message: `Invalid format "${format}"`,
                })
            )
    }
}
